class PasswordService {
    async get_resets() {
        const result = await axios.get('/api/v1/password/resets')
        if ( result && result.data && result.data.data ) return result.data.data
    }

    async reset(password) {
        await axios.post('/api/v1/password/resets', { password })
    }

    async request_reset(email) {
        await axios.post('/api/v1/password/request_reset', { email })
    }
}

const password_service = new PasswordService()
export { password_service }
